## NAME

           rt_task_wakeup  -  allow  a previously suspended real-time
           task to run

## WARNING

           This is RTL v1.x compatibility function. Please do not use
           it for new programs.

## SYNOPSIS

           #define MODULE
           #include <linux/module.h>
           #include <linux/kernel.h>
           #include <linux/version.h>
           #include <linux/errno.h>
           #include <linux/rt_sched.h>

           int rt_task_wakeup(RT_TASK *task);

## DESCRIPTION

           rt_task_wakeup  allows  real-time task task to be availale
           to run.  rt_task_wakeup might be called to wake up a  task
           suspended by a call to rt_task_suspend or initialized by a
           call to rt_task_init.

## RETURN VALUE

           Always returns 0.

## ERRORS

           None.

## SEE ALSO

           rt_get_time(3),    rt_task_delete(3),     rt_task_init(3),
           rt_task_make_periodic(3),              rt_task_suspend(3),
           rt_task_wait(3)